Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Interface DSDataStreamable

Deprecated.

    @Deprecated
    public interface DSDataStreamable

The `DSDataStreamable` interface is designed for JReport Engine inner usage , it is not for Customer's usage, we strongly recommend that customers do not use it. This interface and it's methods "which were previously exposed in api doc" will be recorded as Deprecated

Method Summary
`jet.dataengine.api.dbbuffer.JRecord` | `getCalculateRecord(int idx)` Deprecated.
`Communicator` | `getCommunicator()` Deprecated.
`jet.datastream.ReportHeaderInfo` | `getHeaderInfo()` Deprecated.
`jet.util.JFieldValueNLSManager` | `getNlsManager()` Deprecated.
`jet.dataengine.api.dbbuffer.JRecord` | `getRecord(int idx)` Deprecated.
`com.jinfonet.resstore.ResourceStore` | `getResourceStore()` Deprecated.
`int` | `getSubIndex()` Deprecated.
`jet.dataengine.api.dbbuffer.JRecord` | `getSynRecord(int idx)` Deprecated.
`jet.dataengine.api.dbbuffer.JRecord` | `getSynRecord2(int idx)` Deprecated.
`jet.datastream.DSTemplatible` | `getTemplate(short idx)` Deprecated.
`void` | `setResourceStore(com.jinfonet.resstore.ResourceStore resourceStore)` Deprecated.

Method Detail

### getRecord

    jet.dataengine.api.dbbuffer.JRecord getRecord(int idx)

  Deprecated.

### getCalculateRecord

    jet.dataengine.api.dbbuffer.JRecord getCalculateRecord(int idx)

  Deprecated.

### getSynRecord

    @Deprecated
    jet.dataengine.api.dbbuffer.JRecord getSynRecord(int idx)

  Deprecated.

  Get record based record index, which the record is synchronized by group value.

  Parameters:
    `idx` - record index
  Returns:
    record based record index.
  See Also:
    `getSynRecord2(int)`

### getSynRecord2

    @Deprecated
    jet.dataengine.api.dbbuffer.JRecord getSynRecord2(int idx)

  Deprecated.

### getTemplate

    jet.datastream.DSTemplatible getTemplate(short idx)

  Deprecated.

### getNlsManager

    jet.util.JFieldValueNLSManager getNlsManager()

  Deprecated.

### getCommunicator

    Communicator getCommunicator()

  Deprecated.

### getHeaderInfo

    jet.datastream.ReportHeaderInfo getHeaderInfo()

  Deprecated.

### getSubIndex

    int getSubIndex()

  Deprecated.

### getResourceStore

    com.jinfonet.resstore.ResourceStore getResourceStore()

  Deprecated.

### setResourceStore

    void setResourceStore(com.jinfonet.resstore.ResourceStore resourceStore)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD